Loading...
Searching...
No Matches
casacore::deflate::Decompressor Class Reference

`#include <Deflate.h>`

## Public Member Functions

| Decompressor ()
| Decompressor (const libdeflate_options &options)
| ~Decompressor ()
size_t | Decompress (std::span< const std::byte > input, std::span< std::byte > output)

## Private Attributes

struct libdeflate_decompressor * | decompressor_

## Detailed Description

Definition at line 55 of file Deflate.h.

## Constructor & Destructor Documentation

## Decompressor() [1/2]

casacore::deflate::Decompressor::Decompressor | ( |  | ) |

inline

Definition at line 57 of file Deflate.h.

References decompressor_.

## Decompressor() [2/2]

casacore::deflate::Decompressor::Decompressor | ( | const libdeflate_options & | options | ) |

inline

Definition at line 63 of file Deflate.h.

References decompressor_.

## ~Decompressor()

casacore::deflate::Decompressor::~Decompressor | ( |  | ) |

inline

Definition at line 70 of file Deflate.h.

References decompressor_.

## Member Function Documentation

## Decompress()

size_t casacore::deflate::Decompressor::Decompress | ( | std::span< const std::byte > | input,
|  | std::span< std::byte > | output )

inline

Definition at line 72 of file Deflate.h.

References decompressor_.

## Member Data Documentation

## decompressor_

struct libdeflate_decompressor* casacore::deflate::Decompressor::decompressor_

private

Definition at line 94 of file Deflate.h.

Referenced by Decompress(), Decompressor(), Decompressor(), and ~Decompressor().

The documentation for this class was generated from the following file:

- tables/AlternateMans/Deflate.h